# TODO
# - use rhino from PLD package
# - do not embed jargs into yuicompressor.jar
#
# Conditional build:
%bcond_without	tests		# don't build and run tests

%include	/usr/lib/rpm/macros.java
Summary:	YUI Compressor - JavaScript compressor
Summary(pl.UTF-8):	Narzędzie do kompresji kodu JavaScript
Name:		yuicompressor
Version:	2.4.8
Release:	1
License:	BSD
Group:		Applications/WWW
Source0:	https://github.com/yui/yuicompressor/archive/v%{version}/%{name}-%{version}.tar.gz
# Source0-md5:	a5a0b0d3c99e0a52e24a1da1560560eb
Source1:	%{name}.sh
URL:		http://yui.github.io/yuicompressor/
BuildRequires:	ant
BuildRequires:	java-jargs
BuildRequires:	jdk >= 1.4
BuildRequires:	rpm-javaprov
BuildRequires:	rpmbuild(macros) >= 1.300
%if %{with tests}
BuildRequires:	bash
%endif
Requires:	jpackage-utils
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
The YUI Compressor is a JavaScript/CSS minifier.

Its level of compaction is higher than the Dojo compressor, and it is
as safe as JSMin.

Tests on the YUI library have shown savings of about 18% compared to
JSMin and 10% compared to the Dojo compressor (these respectively
become 10% and 5% after HTTP compression)

%description -l pl.UTF-8
YUI Compressor jest narzędziem do kompresji kodu JavaScript.

Poziom kompresji osiągany przez YUI Compressor jest większy niż w
przypadku Dojo compressor przy czym jest nie mniej bezpieczny niż
JSMin.

Testy wykonane na bibliotece YUI wykazały, że 18% zysk względem JSMin
i 10% zysk względem Dojo Compressor (odpowiednio 10% i 5% po kompresji
HTTP).

%prep
%setup -q

rm -rf build
# Do not remove lib/rhino-1.6R7.jar It does not work with our java-rhino-1.7
rm lib/jargs-1.0.jar

chmod a+x tests/suite.sh

%build
JARGS_JAR=$(find-jar jargs)
ln -sf $JARGS_JAR lib/jargs-1.0.jar

required_jars='jargs'
CLASSPATH=$(build-classpath $required_jars)
%ant -Dbuild.sysclasspath=first

%if %{with tests}
./tests/suite.sh
%endif

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_bindir},%{_javadir}}
install -p %{SOURCE1} $RPM_BUILD_ROOT%{_bindir}/%{name}
cp -p build/yuicompressor-%{version}.jar $RPM_BUILD_ROOT%{_javadir}
ln -s %{name}-%{version}.jar $RPM_BUILD_ROOT%{_javadir}/%{name}.jar

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc LICENSE.TXT doc/*
%attr(755,root,root) %{_bindir}/%{name}
%{_javadir}/*.jar
%changelog
* Mon Mar 17 2014 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/yuicompressor.git;a=log;h=master

* Mon Mar 17 2014 Elan Ruusamäe <glen@delfi.ee> 7003e18
- up to 2.4.8

* Wed Jan 16 2013 Elan Ruusamäe <glen@delfi.ee> 15a84b7
- up to 2.4.7, released on 2011-11-14

* Fri Jul 08 2011 Elan Ruusamäe <glen@pld-linux.org> 58f7bae
- up to 2.4.6, run tests

* Thu Mar 03 2011 Elan Ruusamäe <glen@pld-linux.org> 229d3d2
- preserve timestamps, update source0 url

* Sun May 16 2010 sparky <sparky@pld-linux.org> a0b5c32
- BR: unzip

* Mon May 03 2010 pawelz <pawelz@pld-linux.org> fef82d9
- rel 3

* Mon May 03 2010 pawelz <pawelz@pld-linux.org> ba1b479
- build from source
- better shell wrapper

* Mon May 03 2010 pawelz <pawelz@pld-linux.org> 5533f1c
- shell wrapper for yuicompressor

* Fri Dec 04 2009 pawelz <pawelz@pld-linux.org> 7d95ef6
- fixed polish translation (I misunderstood english description)

* Fri Dec 04 2009 pawelz <pawelz@pld-linux.org> 81e05ce
- pl

* Tue May 26 2009 Elan Ruusamäe <glen@pld-linux.org> bdcc4e4
- release 2

* Tue May 26 2009 Elan Ruusamäe <glen@pld-linux.org> 5561897
- release 1

* Thu Feb 26 2009 duddits <duddits@pld-linux.org> c42ae24
- up to 2.4.2

* Sun Nov 23 2008 Elan Ruusamäe <glen@pld-linux.org> f16fd42
- update to 2.4.1

* Tue Feb 19 2008 Elan Ruusamäe <glen@pld-linux.org> 577f1d9
- new

